Package org.apache.sling.commons.testing.integration

# Class HttpTestNode

java.lang.Object
org.apache.sling.commons.testing.integration.HttpTestNode

Direct Known Subclasses:
  `HttpTestBase.TestNode`

public class HttpTestNode extends Object
Utility to manage test nodes

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`nodeUrl`
`final String`
`resourceType`
`final String`
`scriptPath`
`final String`
`testText`

## Constructor Summary

Constructors
Constructor
Description
`HttpTestNode(SlingIntegrationTestClient testClient, String parentPath, Map<String,String> properties)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### testText

public final String testText

### nodeUrl

public final String nodeUrl

### resourceType

public final String resourceType

### scriptPath

public final String scriptPath

## Constructor Details

### HttpTestNode

public HttpTestNode(SlingIntegrationTestClient testClient, String parentPath, Map<String,String> properties) throws IOException

Throws:
  `IOException`

## Method Details

### delete

public void delete() throws IOException

Throws:
  `IOException`